Subject: Re: bug#41706: 26.1; sort-subr predicate cannot be set successfully

From: Michael Heerdegen <[email-masked]>
Date: Fri, 05 Jun 2020 11:43:19 +0200

Eli Zaretskii <[email-masked]> writes:

> It is hard to be specific about the arguments to PREDICATE, because
> they depend on what the other arguments to sort-subr return.  I
> augmented the manual to at least have the same information as the doc
> string; more detail is only possible if we discuss specific values of
> STARTKEYFUN and ENDKEYFUN.

But this sentence is not correct:

"It [i.e. STARTKEYFUN, added by me] may return either a non-nil value to
be used as the key, or else the key is the substring between the values
of point after STARTKEYFUN and ENDKEYFUN are called."

This is the sentence that misled the OP I think.  Could we be more
precise and tell that the key is actually the cons cell (BEG . END)
denoting these strings?

Michael.